#!/bin/bash
# Run me inside gentoo
set -e
mkdir --parents /etc/portage/repos.conf
cp /usr/share/portage/config/repos.conf /etc/portage/repos.conf/gentoo.conf
emerge-webrsync 
emerge -v --update --deep @world
export USE="X jpeg png icu -accessibility -debug -dbus cairo"
emerge -v qtcore qtgui uchardet
emerge -v qtwidgets qtsql qtnetwork qtconcurrent
export USE="X jpeg png icu -accessibility -debug -dbus qt5 cairo minizip"
emerge -v app-text/poppler
emerge -v dev-libs/quazip
emerge -v dev-vcs/git
emerge -v qtchooser
useradd -m -s /bin/bash builder
